Skip to main content
GET
/
med-cases
Error
A valid request URL is required to generate request examples
{
  "data": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "referenceNumber": "<string>",
      "patientFirstName": "<string>",
      "patientLastName": "<string>",
      "patientEmail": "jsmith@example.com",
      "patientPhone": "<string>",
      "patientDateOfBirth": "2023-12-25",
      "patientZipCode": "<string>",
      "handlingFirmId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "attorneyName": "<string>",
      "attorneyPhone": "<string>",
      "attorneyEmail": "jsmith@example.com",
      "description": "<string>",
      "incidentDate": "2023-12-25",
      "caseType": "<string>",
      "jurisdiction": "<string>",
      "createdByFirmId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "createdByProviderId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "baseCaseId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "createdAt": "2023-11-07T05:31:56Z",
      "updatedAt": "2023-11-07T05:31:56Z"
    }
  ],
  "pagination": {
    "page": 123,
    "limit": 123,
    "total": 123,
    "totalPages": 123
  },
  "meta": {
    "requestId": "req_f2dbe1d3f6ad4a7bb5b4c9f2",
    "timestamp": "2023-11-07T05:31:56Z"
  }
}

Authorizations

X-API-Key
string
header
required

Public API key (format cxp_<tier>_<body>, tier = ro|std|full). Scoped to a single firm. The firm must have public_api in allowedIntegrations.

Query Parameters

page
integer
default:1

Page number (1-indexed)

Required range: x >= 1
limit
integer
default:20

Items per page (max 100)

Required range: 1 <= x <= 100

Full-text search across patient name, reference number, and description

Maximum string length: 255
includeArchived
boolean
default:false

Include archived med cases (default false)

Response

Med case list

data
object[]
required
pagination
object
required
meta
object
required